<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){

echo '<img src="../images/img/menu.gif" alt=""> <b>Панель управления</b> ('.$motor_version.')<br><br>';

##########################################################################
##                        Главная страница
##########################################################################
if(!isset($action)){

if($motor_license=="1"){
echo '<img src="../images/img/key.gif" alt=""> <b><a href="license.php?'.SID.'"><font color="#00FF00">Лицензионная версия</font></a></b><br>';
}else{
echo '<img src="../images/img/exit.gif" alt=""> <b><a href="license.php?action=licensed&amp;'.SID.'"><font color="#FF0000">Бесплатная версия</font></a></b><br>';
}

echo '<img src="../images/img/act.gif" alt=""> <a href="adminchat.php?'.SID.'">Админ-чат</a><br>';	
echo '<img src="../images/img/act.gif" alt=""> <a href="siteinfo.php?'.SID.'">Проверить обновления</a><br>';	
				
echo '<img src="../images/img/act.gif" alt=""> <a href="book.php?'.SID.'">Управление гостевой</a><br>'; 
echo '<img src="../images/img/act.gif" alt=""> <a href="achat.php?'.SID.'">Управление Super Чатом</a><br>'; 
echo '<img src="../images/img/act.gif" alt=""> <a href="forum.php?'.SID.'">Управление форумом</a><br>'; 
echo '<img src="../images/img/act.gif" alt=""> <a href="gallery.php?'.SID.'">Управление галереей</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="board.php?'.SID.'">Управление объявлениями</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="reklama.php?'.SID.'">Управление рекламой</a><br>';

if ($dostup==101 || $dostup==102 || $dostup==103){
echo '--------------------------<br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="zaban.php?'.SID.'">Бан / Разбан</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="banlist.php?'.SID.'">Список забаненых</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="adminlist.php?'.SID.'">Список старших</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="reglist.php?'.SID.'">Список ожидающих</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="antimat.php?'.SID.'">Управление антиматом</a><br>';
//echo '<img src="../images/img/act.gif" alt=""> <a href="library.php?'.SID.'">Управление библиотекой</a><br>';
}

if ($dostup==101 || $dostup==102){
echo '--------------------------<br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="headlines.php?'.SID.'">Управление заголовками</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="news.php?'.SID.'">Управление новостями</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="votes.php?'.SID.'">Управление голосованием</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="users.php?'.SID.'">Управление юзерами</a><br>';	
echo '<img src="../images/img/act.gif" alt=""> <a href="status.php?'.SID.'">Управление статусами</a><br>';		
echo '<img src="../images/img/act.gif" alt=""> <a href="ban.php?'.SID.'">IP-бан панель</a> ('.counter_string(BASEDIR.'local/ban.dat').')<br>'; 
echo '<img src="../images/img/act.gif" alt=""> <a href="welcome.php?'.SID.'">Приветствие</a><br>'; 
echo '<img src="../images/img/act.gif" alt=""> <a href="logfiles.php?'.SID.'">Общие логи</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="logadmin.php?'.SID.'">Админ-логи</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="phpinfo.php?'.SID.'">PHP-info</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="blacklist.php?'.SID.'">Черный список</a><br>';
}

if ($dostup==101){ 
echo '--------------------------<br>'; 
echo '<img src="../images/img/act.gif" alt=""> <a href="setting.php?'.SID.'">Настройки системы</a><br>';	
echo '<img src="../images/img/act.gif" alt=""> <a href="import.php?'.SID.'">Импорт файлов</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="antizip.php?'.SID.'">Управление архивами</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="backup.php?'.SID.'">Backup-панель</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="delusers.php?'.SID.'">Чистка юзеров</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="subscribe.php?'.SID.'">Управление подписчиками</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="systems.php?'.SID.'">Проверить систему</a><br>';
echo '<img src="../images/img/act.gif" alt=""> <a href="checker.php?'.SID.'">Сканировать систему</a><br>';

if ($log==$config_nikname){	
echo '<img src="../images/img/act.gif" alt=""> <a href="files.php?'.SID.'">Редактирование файлов</a><br>';
}}


//----------------------------------------------------------------------//
$adm_file = file("../local/profil/$config_nikname.prof"); 
if ($adm_file!=""){	
$udc = explode(":||:",$adm_file[0]);

if($udc[7]!=101){
echo '<br><div class=b><b><font color="#FF0000">Внимание!!! Профиль суперадмина не имеет достаточных прав</font></b><br>Логин который вписан в config.dat имеет уровень доступа <b>'.(int)$udc[7].' - '.user_status($udc[7]).'</b></div>';
}
}else{
echo '<br><div class=b><b><font color="#FF0000">Внимание!!! Отсутствует профиль суперадмина</font></b><br>Логин который вписан в config.dat <b>'.check($config_nikname).'</b> не задействован на сайте</div>';
}

if($config_nikname!="" && file_exists("../INSTALL.php")){
echo '<br><div class=b><b><font color="#FF0000">Внимание!!! Необходимо удалить файл INSTALL.php</font></b><br>Удалите этот файл прямо <u><a href="index.php?action=delinstall&amp;'.SID.'">сейчас</a></u></div>';
}
//----------------------------------------------------------------------//

}

##########################################################################
##                       Удаление INSTALL
##########################################################################
if($action=="delinstall"){

if(unlink (BASEDIR."INSTALL.php")){ 
header ("Location: index.php?isset=mp_delinstall&".SID); exit;
}else{
header ("Location: index.php?isset=mp_nodelinstall&".SID); exit;
}
}

echo '<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>